/*******************************************************************************
 * I9 TECHNOLOGIES CONFIDENTIAL
 * __________________
 * Copyright © 2013 i9 Technologies 
 * All Rights Reserved.
 * 
 * NOTICE:  All information contained herein is, and remains the property 
 * of i9 Technologies and its suppliers, if any.  The intellectual and technical 
 * concepts contained herein are proprietary to i9 Technologies and its 
 * suppliers and may be covered by U.S. and Foreign Patents, patents in 
 * process, and are protected by trade secret or copyright law. Dissemination 
 * of this information or reproduction of this material is strictly forbidden 
 * unless prior written permission is obtained from i9 Technologies.
 ******************************************************************************/
package com.xmlnamespace.panel.vaadin.shared.ui;

import com.vaadin.shared.MouseEventDetails;
import com.vaadin.shared.communication.ServerRpc;

/**
 * RPC interface used to send events from the client to the server
 * for a CallComponent
 */
public interface CallComponentServerRpc extends ServerRpc {

    /**
     * Call button item clicked.
     *
     * @param itemId the item id that was clicked on
     * @param details the mouse event details
     */
    public void callButtonItemClicked(double itemId, MouseEventDetails details);
    
    /**
     * Instruct the server to fire an RPC call updating the time.
     * 
     */
    public void updateTime();
}
