/*******************************************************************************
 * I9 TECHNOLOGIES CONFIDENTIAL
 * __________________
 * Copyright © 2013-2016 i9 Technologies 
 * All Rights Reserved.
 * 
 * NOTICE:  All information contained herein is, and remains the property 
 * of i9 Technologies and its suppliers, if any.  The intellectual and technical 
 * concepts contained herein are proprietary to i9 Technologies and its 
 * suppliers and may be covered by U.S. and Foreign Patents, patents in 
 * process, and are protected by trade secret or copyright law. Dissemination 
 * of this information or reproduction of this material is strictly forbidden 
 * unless prior written permission is obtained from i9 Technologies.
 ******************************************************************************/
package com.xmlnamespace.panel.vaadin.shared.ui;

import com.vaadin.shared.communication.ClientRpc;

/**
 * Client side RPC for DropDownMenu
 */
public interface DropDownMenuClientRpc extends ClientRpc {

    /**
     * Adds a menu item.
     *
     * @param item
     *            the menu item to add
     */
    public void addMenuItem(DropDownMenuItem item);

    /**
     * Removes a menu item.
     *
     * @param item
     *            the menu item to remove
     */
    public void removeMenuItem(DropDownMenuItem item);

    /**
     * Update a menu item.
     *
     * @param item
     *            the menu item to update
     */
    public void updateMenuItem(DropDownMenuItem item);

}