/*******************************************************************************
 * I9 TECHNOLOGIES CONFIDENTIAL
 * __________________
 * Copyright © 2013 i9 Technologies 
 * All Rights Reserved.
 * 
 * NOTICE:  All information contained herein is, and remains the property 
 * of i9 Technologies and its suppliers, if any.  The intellectual and technical 
 * concepts contained herein are proprietary to i9 Technologies and its 
 * suppliers and may be covered by U.S. and Foreign Patents, patents in 
 * process, and are protected by trade secret or copyright law. Dissemination 
 * of this information or reproduction of this material is strictly forbidden 
 * unless prior written permission is obtained from i9 Technologies.
 ******************************************************************************/
package com.xmlnamespace.panel.vaadin.shared.ui;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

import com.vaadin.shared.AbstractComponentState;
import com.vaadin.shared.communication.URLReference;

/**
 * Shared state for UserComponent
 */
public class UserComponentState extends AbstractComponentState {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;

    /** The status icon. */
    public URLReference statusIcon;
    
    /** The status icon tool tip. */
    public String statusIconToolTip;

    /** The username. */
    public String username = "";

    /** The status. */
    public String status = "";

    /** The conv count. */
    public String convCount = "";

    /** The conv name. */
    public String convName = "";

    /** The licensed. */
    public boolean licensed = false;
    
    /** The unlicensed text. */
    public String unlicensedText = "";
    
    /** The conv switcher visible. */
    public boolean convSwitcherVisible = false;
    
    /** The drag mode. */
    public int dragMode = 0;
    
    /** The has user drag object. */
    public boolean hasUserDragObject = false;
    
    /** The has conv drag object. */
    public boolean hasConvDragObject = false;
    
    /** The user account popup items. */
    public List<UserAccountPopupItem> userAccountPopupItems = new ArrayList<UserAccountPopupItem>();
    
    /** The user button items. */
    public List<UserButtonItem> userButtonItems = new ArrayList<UserButtonItem>();
    
    /** The conversation styles. */
    public Set<String> convStyles = new HashSet<String>();

}
